<?php
/**
 * Define a elementright.
 * @author Valentin CARRUESCO
 * @category Plugin
 * @license copyright
 */
class ElementRight extends Entity{
	public $id,$element,$entity,$uid,$read,$edit,$recursive;
	protected $TABLE_NAME = 'document_right';
	protected $links = array(
		'element' => 'Element'
	);
	public $fields =
	array(
		'id' => 'key',
		'element' => 'int',
		'entity' => 'string',
		'uid' => 'string',
		'read' => 'int',
		'edit' => 'int',
		'recursive' => 'int'
	);
	public $indexes = array('element');
}
?>